# Generated from support-for-1.0.7.gem by gem2rpm -*- rpm-spec -*-
%global gem_name support-for

Name: rubygem-%{gem_name}
Version: 1.0.7
Release: 1%{?dist}
Summary: Add conditional browser support to your Sass module
License: GPL-2.0
URL: https://github.com/JohnAlbin/support-for
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
A module for Sass module developers to ease conditional browser support.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/bower.json
%{gem_libdir}
%{gem_instdir}/package.json
%{gem_instdir}/sass
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/support-for.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 1.0.7-1
- Initial package
